declare const NAME = "unplugin-vue-cssvars";
declare const SUPPORT_FILE_LIST: string[];
declare const SUPPORT_FILE_REG: RegExp;
declare const FG_IGNORE_LIST: string[];
declare const SUPPORT_FILE: {
    CSS: string;
    LESS: string;
    SASS: string;
    SCSS: string;
    STYLUS: string;
    STYL: string;
};
declare const DEFAULT_INCLUDE_REG: RegExp[];
declare const DEFAULT_EXCLUDE_REG: RegExp[];
declare const JSX_TSX_REG: RegExp;

declare const setTArray: <T>(set: Set<T> | ReadonlySet<T>) => T[];
declare const completeSuffix: (fileName: string, suffix: string, force?: boolean) => string;

export { DEFAULT_EXCLUDE_REG, DEFAULT_INCLUDE_REG, FG_IGNORE_LIST, JSX_TSX_REG, NAME, SUPPORT_FILE, SUPPORT_FILE_LIST, SUPPORT_FILE_REG, completeSuffix, setTArray };
